Does this plugin work with Buddypress 1.2.9?

Does this plugin work with Buddypress 1.2.9?